package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.init.Blocks;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class FishBowlRecipe extends ShapedRecipe
{
	public static final String ID = "FishBowl";
	
	public FishBowlRecipe()
	{
		super(
			ID,
			new ItemStack(ModItemRegistry.FishBowl),
			new String[] {"GSG", " G "},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character, Item> legend = new HashMap<Character, Item>();
		legend.put('G', Item.getItemFromBlock(Blocks.glass_pane));
		legend.put('S', Item.getItemFromBlock(Blocks.sand));		
		return ShapedRecipe.MakeStackLegend(legend);
	}
}
