package org.colinvella.fancyfish.event;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.ChatComponentText;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.event.entity.player.PlayerEvent;
import net.minecraftforge.fml.common.FMLCommonHandler;

public abstract class ModEventHandler
{
	public ModEventHandler(String id)
	{
		this.id = id;
		if (logger == null)
			logger = FancyFishMod.getLogger();

		logger.info("Registering event handler " + id + " with FML and Forge...");	
		FMLCommonHandler.instance().bus().register(this);
    	MinecraftForge.EVENT_BUS.register(this);
    }
	
	// private logger reference
	protected static ModLogger logger;
	
	// event handler id
	private String id;
}
