package org.colinvella.fancyfish.event;

import java.util.ArrayList;
import java.util.List;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraftforge.fml.relauncher.Side;

public class ModEventRegistry
{	
	public static void registerEventHandlers()
	{
		logger = FancyFishMod.getLogger();
		logger.info("Registering event handlers...");
		
		modEventHandlers.add(new FishTankEventHandler());
		modEventHandlers.add(new FishEntityEventHandler());
	}
	
	// list of mod event handlers for easy tracking
	private static List<ModEventHandler> modEventHandlers = new ArrayList<ModEventHandler>();
	
	// private logger reference
	private static ModLogger logger;
}
