package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class FishingNetRecipe extends ShapedRecipe
{
	public static final String ID = "FishingNet";
	
	public FishingNetRecipe()
	{
		super(
			ID,
			new ItemStack(ModItemRegistry.FishingNet),
			new String[] {" SN", " SS", "S  "},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character,Item> legend = new HashMap<Character, Item>();
		legend.put('S', Items.stick);
		legend.put('N', ModItemRegistry.Netting);
		return ShapedRecipe.MakeStackLegend(legend);
	}
}
